| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
EventSelectorDataStream.cpp File Reference
`#include "GaudiKernel/AttribStringParser.h"`
`#include "GaudiKernel/IService.h"`
`#include "GaudiKernel/ISvcLocator.h"`
`#include "GaudiKernel/IConversionSvc.h"`
`#include "GaudiKernel/IDataManagerSvc.h"`
`#include "GaudiKernel/IPersistencySvc.h"`
`#include "GaudiKernel/PropertyMgr.h"`
`#include "GaudiKernel/MsgStream.h"`
`#include "GaudiKernel/EventSelectorDataStream.h"`
Include dependency graph for EventSelectorDataStream.cpp:

Go to the source code of this file.

## Macros
#define | GAUDISVC_EVENTSELECTOR_EVENTSELECTORDATASTREAM_CPP 1

## Functions
MsgStream & | operator<< (MsgStream &s, const EventSelectorDataStream &obj)
| Output friend for MsgStream. More...
std::ostream & | operator<< (std::ostream &s, const EventSelectorDataStream &obj)
| Output friend for standard I/O. More...

## Macro Definition Documentation

#define GAUDISVC_EVENTSELECTOR_EVENTSELECTORDATASTREAM_CPP 1

Definition at line 13 of file EventSelectorDataStream.cpp.

## Function Documentation

MsgStream& operator<< | ( | MsgStream & | s,
|  | const EventSelectorDataStream & | obj
| ) |  |

Output friend for MsgStream.

Definition at line 27 of file EventSelectorDataStream.cpp.

27 {
28 return s << "Stream:" << obj.name() << " Def:" << obj.definition();
29 }
EventSelectorDataStream::name
const std::string & name() const
Retrieve stream name.
Definition: EventSelectorDataStream.h:91
EventSelectorDataStream::definition
const std::string & definition() const
Retrieve definition string.
Definition: EventSelectorDataStream.h:107

std::ostream& operator<< | ( | std::ostream & | s,
|  | const EventSelectorDataStream & | obj
| ) |  |

Output friend for standard I/O.

Definition at line 32 of file EventSelectorDataStream.cpp.

32 {
33 return s << "Stream:" << obj.name() << " Def:" << obj.definition();
34 }
EventSelectorDataStream::name
const std::string & name() const
Retrieve stream name.
Definition: EventSelectorDataStream.h:91
EventSelectorDataStream::definition
const std::string & definition() const
Retrieve definition string.
Definition: EventSelectorDataStream.h:107